#
# $Id$
#
%define DBVer	1.78.0

Summary:	Debian apt tools for %_real_vendor
Name:		apt-mga
Version:	0.8.9
Release:	%mkrel 8
License:	GPLv2+
Group:		System/Packaging
Url:		http://ftp.de.debian.org/debian/pool/main/a/apt/
Source:		http://ftp.de.debian.org/debian/pool/main/a/apt/apt_%{version}.tar.gz
Patch0:         apt_0.8.9-fix-build.patch
# http://ostree.gnome.org/work/checkouts/yocto/meta/recipes-devtools/apt/apt-0.7.14/remove-redeclaration.patch
Patch1:		apt_0.8.9-gcc-4.7.patch

Requires:	bzip2
Requires:       gnupg

BuildRequires:	libtool-base
BuildRequires:  docbook-style-xsl
BuildRequires:  libcurl-devel
BuildRequires:  dpkg
BuildRequires:  doxygen
BuildRequires:  xsltproc

Conflicts:	apt 

%description
Provides tools useful to manage a Debian repository on a %_real_vendor distribution (apt-ftparchive e.g.)

%files
%doc README.*
%{_mandir}/man8/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_libdir}/lib*
%{_bindir}/*

#--------------------------------------------------------------------

%package devel
Summary:        Debian apt tools for %_real_vendor - devel
Group:			System/Packaging

%description devel
Developement files for %{name}.


%files devel
%{_includedir}/apt-pkg

#--------------------------------------------------------------------

%prep
%setup -q -n apt-%{version}
%patch0 -p0
%patch1 -p1 -b .gcc47

%build
# Wrong links upstream
ln -sf /usr/share/libtool/config/config.guess buildlib/
ln -sf /usr/share/libtool/config/config.sub buildlib
# As no DebianDoc is available yet, remove xml doc build
perl -pi -e 's/^\[type: docbook\]/#[type: docbook]/' doc/po4a.conf
perl -pi -e 's/^\[type: sgml\]/#[type: sgml]/' doc/po4a.conf
perl -pi -e 's|/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl|/usr/share/sgml/docbook/xsl-stylesheets-%{DBVer}/manpages/docbook.xsl|' doc/manpage-style.xsl
mkdir -p  build/doc/doxygen
./configure
# Make sure includes are done before starting the build
make dirs headers
%make

%install
mkdir -p  $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_libdir} $RPM_BUILD_ROOT%{_mandir}/man8 $RPM_BUILD_ROOT%{_mandir}/man1 $RPM_BUILD_ROOT%{_mandir}/man5 $RPM_BUILD_ROOT%{_includedir}
cp -a bin/apt-* $RPM_BUILD_ROOT%{_bindir}
cp -a bin/lib* $RPM_BUILD_ROOT%{_libdir}
cp -a doc/*.8 $RPM_BUILD_ROOT%{_mandir}/man8
cp -a doc/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp -a doc/*.5 $RPM_BUILD_ROOT%{_mandir}/man5
cp -a include/apt-pkg $RPM_BUILD_ROOT%{_includedir}



%changelog

* Fri Jan 25 2013 cjw <cjw> 0.8.9-8.mga3
+ Revision: 392195
- another fix for parallel builds

* Tue Jan 22 2013 fwang <fwang> 0.8.9-7.mga3
+ Revision: 390723
- update rpm group

* Fri Jan 18 2013 pterjan <pterjan> 0.8.9-6.mga3
+ Revision: 389450
- Make sure includes are done before starting the build
- Fix License

* Fri Jan 18 2013 pterjan <pterjan> 0.8.9-5.mga3
+ Revision: 389442
- Remove wrong build dependency

* Fri Jan 11 2013 sander85 <sander85> 0.8.9-4.mga3
+ Revision: 346549
- Fix build with GCC 4.7

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + dmorgan <dmorgan>
    - Fix buildrequires

* Fri Mar 02 2012 malo <malo> 0.8.9-2.mga2
+ Revision: 216829
- fix summary and description (mga#4422)

* Tue Dec 13 2011 dmorgan <dmorgan> 0.8.9-1.mga2
+ Revision: 181128
- Remove mandriva occcurencies

  + bcornec <bcornec>
    - Upload apt-mga from apt-mdv in Mandriva
    - Created package structure for apt-mga.

